version: "3.9"

services:
  asotr:
    build: .
    container_name: asotr_container
    image: asotr:latest
    working_dir: /app/bin
    volumes:
      - ./data/asotr:/app/data/asotr
      - ./plots:/app/plots
      - /home/danila/Danila/work/MVN/flight/data:/mnt/raw_mvn_data
    environment:
      - PYTHONUNBUFFERED=1
    command: ["sleep", "infinity"]
  
  asotr_cronjob:
    build: .
    container_name: asotr_cron
    image: asotr_cron:latest
    volumes:
      - ./data/asotr:/app/data/asotr
      - ./plots:/app/plots
      - /home/danila/Danila/work/MVN/flight/data:/mnt/raw_mvn_data
    environment:
      - PYTHONUNBUFFERED=1
    command: ["/app/bin/asotr_unzip_plot.sh", "/mnt/raw_mvn_data/"]
    

